#! /bin/bash -ex

function killforward {
    kill $KUBEPID
}

LOCALPORT=${LOCALPORT:-8888}

kubectl wait --timeout=2m pod -n kube-system -l app=varnish-ingress-controller \
        --for=condition=Ready

kubectl wait --timeout=2m pod -l app=varnish-ingress --for=condition=Initialized
sleep 1

kubectl port-forward svc/varnish-ingress ${LOCALPORT}:80 >/dev/null &
KUBEPID=$!
trap killforward EXIT

set +e
N=0
while true; do
    sleep 1
    cat < /dev/null > /dev/tcp/localhost/${LOCALPORT}
    if [ $? -eq 0 ]; then
        break
    fi
    if [ $N -ge 120 ]; then
        echo "Giving up"
        exit 1
    fi
    N=$(( N + 1 ))
done
set -e
varnishtest ${TESTOPTS} -Dlocalport=${LOCALPORT} deploy.vtc
